Subject: Re: [PATCH] remote-curl: avoid hang if curl asks for more data after eof

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Nov 2023 10:36:33 +0900

Jonathan Tan <[email-masked]> writes:

> Due to the nature of the bug and the fix, I do agree that it's hard to
> test and I would be OK with including the fix without associated tests.

Is this a bug on our side, or cURL library calling us when it should not?
Even if the latter, we should be prepared and the two liner fix you
suggested would be worth doing, but at the same time we should let
the cURL maintainer know if the latter is the case, and that is why
I am asking.

Thanks, both.  Especially thanks, Jonathan, for excellent review
comments.